Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1397315 - Incorrect bar sizes in v1.2.0
Summary: Incorrect bar sizes in v1.2.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-systemload-plugin
Version: 24
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-22 10:06 UTC by Stanislav Kontar
Modified: 2017-02-20 18:52 UTC (History)
2 users (show)

Fixed In Version: xfce4-systemload-plugin-1.2.1-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-20 18:52:11 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Screenshot (deleted)
2016-11-22 10:06 UTC, Stanislav Kontar
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Xfce 12974 0 None None None 2016-11-22 10:06:25 UTC

Description Stanislav Kontar 2016-11-22 10:06:26 UTC
Created attachment 1222649 [details]
Screenshot

Description of problem:

After updating xfce4-systemload-plugin from 1.1.2 to 1.2.0, the bars seem to have non-zero offset. E.g. for zero value they seem to show non-zero size. Attached picture should show 0% CPU, 21% memory, and 0% swap. It seems to show about 21% CPU, 39% memory, and 21% swap based on number of pixels.

Downgrading fixes the problem immediately. Different theme does not matter.


Version-Release number of selected component (if applicable): 1.2.0-1.fc24


How reproducible: Always


Steps to Reproduce:
1. Update xfce4-systemload-plugin from 1.1.2 to 1.2.0
2. Restart xfce4-panel


Actual results:

It seems to show about 21% CPU, 39% memory, and 21% swap based on number of pixels.


Expected results:

0% CPU, 21% memory, and 0% swap

Comment 1 Fedora Admin XMLRPC Client 2017-01-28 15:27:02 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Fedora Update System 2017-02-11 01:15:33 UTC
xfce4-netload-plugin-1.3.1-1.fc25 xfce4-systemload-plugin-1.2.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-27112396e4

Comment 3 Fedora Update System 2017-02-11 17:21:23 UTC
xfce4-netload-plugin-1.3.1-1.fc25, xfce4-systemload-plugin-1.2.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-27112396e4

Comment 4 Fedora Update System 2017-02-20 18:52:11 UTC
xfce4-netload-plugin-1.3.1-1.fc25, xfce4-systemload-plugin-1.2.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.